#
# Conditional build:
%bcond_with	tests	# test suite

%define		kdeplasmaver	6.3.4
%define		qt_ver		6.7.0
%define		kf_ver		6.5.0
%define		kpname		breeze
Summary:	Artwork, styles and assets for the Breeze visual style for the Plasma Desktop
Summary(pl.UTF-8):	Grafika, style i zasoby dla stylu Breeze środowiska Plasma Desktop
Name:		kp6-%{kpname}
Version:	6.3.4
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/plasma/%{kdeplasmaver}/%{kpname}-%{version}.tar.xz
# Source0-md5:	4a883878aec90d6e2ebbe0de7478fd2c
Patch0:		qdebug.patch
URL:		https://kde.org/
BuildRequires:	Qt6Core-devel >= %{qt_ver}
BuildRequires:	Qt6DBus-devel >= %{qt_ver}
BuildRequires:	Qt6Gui-devel >= %{qt_ver}
BuildRequires:	Qt6Network-devel >= %{qt_ver}
BuildRequires:	Qt6OpenGL-devel >= %{qt_ver}
BuildRequires:	Qt6Quick-devel >= %{qt_ver}
BuildRequires:	Qt6Widgets-devel >= %{qt_ver}
BuildRequires:	cmake >= 3.16.0
BuildRequires:	gettext-tools
BuildRequires:	hardlink >= 1.0-3
BuildRequires:	kf6-extra-cmake-modules >= 5.102.0
BuildRequires:	kf6-frameworkintegration-devel >= %{kf_ver}
BuildRequires:	kf6-kcmutils-devel >= %{kf_ver}
BuildRequires:	kf6-kcolorscheme-devel >= %{kf_ver}
BuildRequires:	kf6-kconfig-devel >= %{kf_ver}
BuildRequires:	kf6-kconfigwidgets-devel >= %{kf_ver}
BuildRequires:	kf6-kcoreaddons-devel >= %{kf_ver}
BuildRequires:	kf6-kguiaddons-devel >= %{kf_ver}
BuildRequires:	kf6-ki18n-devel >= %{kf_ver}
BuildRequires:	kf6-kiconthemes-devel >= %{kf_ver}
BuildRequires:	kf6-kirigami-devel >= %{kf_ver}
BuildRequires:	kf6-kwidgetsaddons-devel >= %{kf_ver}
BuildRequires:	kf6-kwindowsystem-devel >= %{kf_ver}
BuildRequires:	kp6-kdecoration-devel
BuildRequires:	libstdc++-devel >= 6:8
BuildRequires:	ninja
BuildRequires:	pkgconfig
BuildRequires:	qt6-build >= %{qt_ver}
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	%{kpname}-cursor-theme = %{version}-%{release}
Requires:	Qt6Core >= %{qt_ver}
Requires:	Qt6DBus >= %{qt_ver}
Requires:	Qt6Gui >= %{qt_ver}
Requires:	Qt6Quick >= %{qt_ver}
Requires:	Qt6Widgets >= %{qt_ver}
Requires:	kf6-breeze-icons
Requires:	kf6-frameworkintegration >= %{kf_ver}
Requires:	kf6-kcmutils >= %{kf_ver}
Requires:	kf6-kcolorscheme >= %{kf_ver}
Requires:	kf6-kconfig >= %{kf_ver}
Requires:	kf6-kcoreaddons >= %{kf_ver}
Requires:	kf6-kguiaddons >= %{kf_ver}
Requires:	kf6-ki18n >= %{kf_ver}
Requires:	kf6-kiconthemes >= %{kf_ver}
Requires:	kf6-kirigami >= %{kf_ver}
Requires:	kf6-kwidgetsaddons >= %{kf_ver}
Requires:	kf6-kwindowsystem >= %{kf_ver}
Requires:	kp6-breeze-data = %{version}-%{release}
Obsoletes:	kp5-breeze < 6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Artwork, styles and assets for the Breeze visual style for the Plasma
Desktop.

%description -l pl.UTF-8
Grafika, style i zasoby dla stylu Breeze środowiska Plasma Desktop.

%package data
Summary:	Data files for %{kpname}
Summary(pl.UTF-8):	Dane dla %{kpname}
Group:		X11/Applications
Requires(post,postun):	gtk-update-icon-cache
Requires:	hicolor-icon-theme
Obsoletes:	kp5-breeze-data < 6
BuildArch:	noarch

%description data
Data for %{kpname}.

%description data -l pl.UTF-8
Dane dla %{kpname}.

%package devel
Summary:	Breeze development files
Summary(pl.UTF-8):	Pliki programistyczne stylu Breeze
Group:		Development
Requires:	%{name} = %{version}-%{release}
Obsoletes:	kp5-breeze-devel < 6

%description devel
Development files for Breeze style data.

%description devel -l pl.UTF-8
Pliki programistyczne danych stylu Breeze.

%package -n %{kpname}-cursor-theme
Summary:	Breeze cursor theme
Summary(pl.UTF-8):	Motyw kursora Breeze
Group:		Themes
Conflicts:	breeze-icon-theme < 5.4.0-7
Conflicts:	kp6-breeze < 5.4.0-5
BuildArch:	noarch

%description -n %{kpname}-cursor-theme
Breeze cursor theme.

%description -n %{kpname}-cursor-theme -l pl.UTF-8
Motyw kursora Breeze.

%prep
%setup -q -n %{kpname}-%{version}
%patch -P 0 -p1

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DBUILD_QT6=ON \
	-DBUILD_QT5=OFF

%ninja_build -C build

%if %{with tests}
ctest
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_iconsdir}/{breeze-dark,breeze}

%ninja_install -C build

# breeze_kwin_deco, breeze_style_config domains
%find_lang %{kpname} --all-name

hardlink -c -v $RPM_BUILD_ROOT%{_datadir}/icons/breeze_cursors
hardlink -c -v $RPM_BUILD_ROOT%{_datadir}/icons/Breeze_Snow

%clean
rm -rf $RPM_BUILD_ROOT

%post	data
%update_icon_cache hicolor

%postun	data
%update_icon_cache hicolor

%files
%defattr(644,root,root,755)
%doc AUTHORS README.md
%attr(755,root,root) %{_bindir}/breeze-settings6
%attr(755,root,root) %{_bindir}/kcursorgen
%dir %{_libdir}/qt6/plugins/kstyle_config
%attr(755,root,root) %{_libdir}/qt6/plugins/kstyle_config/breezestyleconfig.so
%attr(755,root,root) %{_libdir}/qt6/plugins/org.kde.kdecoration3.kcm/kcm_breezedecoration.so
%attr(755,root,root) %{_libdir}/qt6/plugins/org.kde.kdecoration3/org.kde.breeze.so
%attr(755,root,root) %{_libdir}/qt6/plugins/styles/breeze6.so

%files data -f %{kpname}.lang
%defattr(644,root,root,755)
%dir %{_datadir}/QtCurve
%{_datadir}/QtCurve/Breeze.qtcurve
%dir %{_datadir}/color-schemes
%{_datadir}/color-schemes/BreezeClassic.colors
%{_datadir}/color-schemes/BreezeDark.colors
%{_datadir}/color-schemes/BreezeLight.colors
%{_datadir}/kstyle/themes/breeze.themerc
%{_datadir}/wallpapers/Next
%{_desktopdir}/breezestyleconfig.desktop
%{_desktopdir}/kcm_breezedecoration.desktop
%{_iconsdir}/hicolor/scalable/apps/breeze-settings.svgz

%files -n %{kpname}-cursor-theme
%defattr(644,root,root,755)
%{_iconsdir}/Breeze_Light
%{_iconsdir}/breeze_cursors

%files devel
%defattr(644,root,root,755)
%{_libdir}/cmake/Breeze
%changelog
* Tue Apr 29 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kp6-breeze.git;a=log;h=master

* Mon Apr 28 2025 Witold Filipczyk <witekfl@poczta.onet.pl> d8ad315
- added qdebug.patch

* Wed Apr 02 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 1c3001d
- updated to 6.3.4

* Sun Mar 16 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 9755558
- updated to 6.3.3

* Thu Feb 27 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 0f7c173
- updated to 6.3.2

* Thu Feb 20 2025 Witold Filipczyk <witekfl@poczta.onet.pl> c43a861
- updated to 6.3.1

* Wed Feb 12 2025 Witold Filipczyk <witekfl@poczta.onet.pl> d7baea5
- updated to 6.3.0

* Wed Jan 01 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 532800a
- updated to 6.2.5

* Tue Nov 26 2024 Witold Filipczyk <witekfl@poczta.onet.pl> c50a1ec
- updated to 6.2.4

* Fri Nov 08 2024 Jakub Bogusz <qboosh@pld-linux.org> 9647e27
- release 2

* Fri Nov 08 2024 Jakub Bogusz <qboosh@pld-linux.org> a9dd2c7
- updated dependencies

* Thu Nov 07 2024 Jakub Bogusz <qboosh@pld-linux.org> 7d07b56
- constant Obsoletes

* Thu Nov 07 2024 Jakub Bogusz <qboosh@pld-linux.org> 2199d52
- cleanup, update_icon_theme in proper package

* Thu Nov 07 2024 Jakub Bogusz <qboosh@pld-linux.org> 3e6f786
- pl

* Thu Nov 07 2024 Jakub Bogusz <qboosh@pld-linux.org> 59e9a0d
- macros for ninja, rpm for noarch subpackages

* Tue Nov 05 2024 Witold Filipczyk <witekfl@poczta.onet.pl> e6999b9
- updated to 6.2.3

* Tue Oct 22 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 7fb4382
- updated to 6.2.2

* Wed Oct 16 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 831b3fc
- dir

* Tue Oct 15 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 91bfa14
- updated to 6.2.1

* Tue Oct 08 2024 Witold Filipczyk <witekfl@poczta.onet.pl> f57fb7f
- updated to 6.2.0

* Tue Sep 10 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 16e0a5f
- updated to 6.1.5

